package com.ferienclub.mb.interfaces;

import com.ferienclub.custadmin.beans.Appointment;
import com.ferienclub.custadmin.beans.CustomerPreferences;
import com.ferienclub.custadmin.beans.Place;
import com.ferienclub.custadmin.beans.User;

public interface IUserManagement {

	public User[] getUsers(String dummy);
	
	public User login(String firstName, String lastName, String password);
	
	public int enterNewUser(User u);
	
	public int checkIn(User u);
	
	public int checkOut(User u);
	
	public int addPlace(Place p);
	
	public int deletePlace(String placeId);
	
	public Place[] getPlaces(String dummy);
	
	public int insertAppointment(Appointment app);
	
	public int deleteAppointment(String appId);
	
	public Appointment[] getAppointments(String dummy);
	
	public int updateAppointment(Appointment app);
	
	public int checkPassword(String name, String password);
	
	public String[] getPreferenceNames(String dummy);
	
	public CustomerPreferences getUserPreferences(String userId);
	
}
